Name:		extundelete
Version:	0.2.4
Release:	%mkrel 10
Summary:	Investigation and recovery tool for ext3/4 filesystem
Group:		Security
License:	GPLv2+
URL:		https://extundelete.sourceforge.net/
Source0:	https://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.bz2
# From Debian
Patch0:		02_fix_ftbfs.patch
BuildRequires:	pkgconfig(ext2fs)

%description
extundelete is a utility that can recover deleted files from an ext3 or ext4
partition. extundelete uses the information stored in the partition's journal
to attempt to recover a file that has been deleted from the partition. There is
no guarantee that any particular file will be able to be undeleted, so always
try to have a good backup system in place, or at least put one in place after
recovering your files!

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc LICENSE README
%{_bindir}/%{name}


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.2.4-10.mga10
+ Revision: 2210773
- Mageia 10 Mass Rebuild

* Thu Mar 24 2022 umeabot <umeabot> 0.2.4-9.mga9
+ Revision: 1824167
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.2.4-8.mga8
+ Revision: 1512129
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.2.4-7.mga7
+ Revision: 1297650
- Mageia 7 Mass Rebuild

* Tue Jun 19 2018 wally <wally> 0.2.4-6.mga7
+ Revision: 1238103
- add patch from debian to fix FTBFS with e2fsprogs >= 1.44.1
+ kekepower <kekepower>
- Use new make macros

* Thu Feb 04 2016 umeabot <umeabot> 0.2.4-5.mga6
+ Revision: 936253
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.4-4.mga5
+ Revision: 744171
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.4-3.mga5
+ Revision: 679071
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.4-2.mga4
+ Revision: 521851
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 dams <dams> 0.2.4-1.mga3
+ Revision: 390686
- new version 0.2.4
- remove useless patches

* Fri Jan 11 2013 umeabot <umeabot> 0.2.0-3.mga3
+ Revision: 349876
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 0.2.0-2.mga3
+ Revision: 310517
- update RPM group
+ dams <dams>
- clean specfile

* Sun Sep 09 2012 dams <dams> 0.2.0-1.mga3
+ Revision: 291510
- clean specfile
- add patch[1-3] from fedora to fix build
- add patch0 from fedora to add a new option: --output-dir
- imported package extundelete


* Sun Nov 28 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.2.0-1mdv2011.0
+ Revision: 602312
- new version 0.2.0
- correct use of %%buildroot
- fix build, use %%configure2_5x
- fix doc list

* Mon Dec 07 2009 Stéphane Téletchéa <steletch@mandriva.org> 0.1.8-1mdv2010.1
+ Revision: 474594
- Update tarball to use upstream bzip-ep file

  + Jean Roc Morreale <jrm@mandriva.org>
    - import extundelete


* Sat Oct 31 2009 Jean Roc Morreale <jr.morreale@enoreth.net> 0.1.8-1mdv2010.1
- version 0.1.8
- fix compilation issues

* Tue Oct 18 2009 Jean Roc Morreale <jr.morreale@enoreth.net> 0.1.7-1mdv2010.0
- version 0.1.7
- options --after and --before datetime added

* Sat Sep 05 2009 Jean Roc Morreale <jr.morreale@enoreth.net> 0.1.4-1mdv2010.0
- version 0.1.4

* Sat Sep 05 2009 Jean Roc Morreale <jr.morreale@enoreth.net> 0.1.3-1mdv2010.0
- version 0.1.3
